// Package v18 provides migration for mongo repository
package v18

import (
	"context"
	"time"

	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	"gitlab.mashplace.com/mashplace/backend/extras/internal/model"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("extras")

	_, err := col.InsertOne(
		ctx,
		&model.Service{
			Attributes: map[extras.AttributeCode]string{
				extras.AttributeDocumentType: "building_insurance",
			},
			Created:       time.Now(),
			Updated:       time.Now(),
			Code:          extras.ProductLandlordBuildingInsurance.String(),
			Title:         "Landlords Building Insurance",
			TaxPercentage: 12.0,
			Role:          extras.ServiceRole_LANDLORD_SERVICES,
			TaxType:       extras.TaxType_TAX_TYPE_IPT,
		},
	)
	if err != nil {
		return -1, err
	}

	return -1, nil
}
