// Package v24 provides migration for mongo repository
package v24

import (
	"context"

	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (res int, err error) {
	col := db.Collection("extras")

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_rent_guarantee_insurance"},
		bson.M{"$set": bson.M{
			"price":                0,
			"tax_amount":           0,
			"price_need_calculate": true,
		}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "tenant_deposit_replacement"},
		bson.M{"$set": bson.M{
			"tax_percentage": 12,
			"tax_type":       extras.TaxType_TAX_TYPE_IPT,
		}})
	if err != nil {
		return -1, err
	}

	return -1, nil
}
