// Package v25 provides migration for mongo repository
package v25

import (
	"context"
	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	"gitlab.mashplace.com/mashplace/backend/extras/internal/model"
	"go.mongodb.org/mongo-driver/mongo"
	"time"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (res int, err error) {
	col := db.Collection("extras")

	_, err = col.InsertOne(
		ctx,
		&model.Service{
			Created: time.Now(),
			Updated: time.Now(),
			Code:    extras.ProductTenantDepositReplacementRolling.String(),
			Title:   "Tenant deposit replacement for the rolling tenancy",
			Description: "Landlord Legal Expenses insurance provides cover for legal expenses in claims such as " +
				"tenant disputes, pursuit of rent arrears and tenant eviction.",
			Type:             extras.ServiceType_DEPOSIT_INSURANCE,
			Role:             extras.ServiceRole_TENANT_SERVICES,
			Status:           extras.ServiceStatus_ACTIVE,
			TaxType:          extras.TaxType_TAX_TYPE_IPT,
			Price:            26.79,
			TaxAmount:        3.21,
			TaxPercentage:    12,
			InventoryCode:    "MP09",
			InventoryAccount: "205",
		},
	)
	if err != nil {
		return -1, err
	}

	return -1, nil
}
