// Package v7 provides migration for mongo repository
package v7

import (
	"context"

	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up adds service data into extras collection
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("extras")

	_, err := col.UpdateOne(ctx, bson.M{"code": "landlord_rent_guarantee_insurance"}, bson.M{"$set": bson.M{
		"role": extras.ServiceRole_LANDLORD_INSURANCE,
	}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx, bson.M{"code": "landlord_home_emergency_insurance"}, bson.M{"$set": bson.M{
		"role": extras.ServiceRole_LANDLORD_INSURANCE,
	}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx, bson.M{"code": "tenant_contents_insurance"}, bson.M{"$set": bson.M{
		"role": extras.ServiceRole_TENANT_INSURANCE,
	}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx, bson.M{"role": extras.ServiceRole_LANDLORD_LISTING}, bson.M{"$set": bson.M{
		"role": extras.ServiceRole_LANDLORD_SERVICES,
	}})
	if err != nil {
		return -1, err
	}

	return -1, nil
}
