package test

import (
	"reflect"
	"testing"

	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
)

func DepositReplacementWanted(a, b interface{}) []interface{} {
	return []interface{}{a, b}
}

// nolint
func TestGetDepositReplacementPayment(t *testing.T) {
	cases := map[string]struct {
		price float64
		want  []interface{}
	}{
		"1300 rent": {
			price: 1300.0,
			want:  DepositReplacementWanted(300.0, 60.0),
		},
	}

	svc := &extras.Service{
		TaxType:       &extras.Service_TaxTypeValue{TaxTypeValue: extras.TaxType_TAX_TYPE_VAT},
		TaxPercentage: &extras.Service_TaxPercentageValue{TaxPercentageValue: 20},
	}

	for name, test := range cases {
		t.Run(name, func(t *testing.T) {
			price := extras.CalculateDepositReplacementAmount(test.price)
			service := extras.ServicePriceSnapshot(svc, price)
			got := DepositReplacementWanted(price, service.GetTaxAmount())
			if !reflect.DeepEqual(test.want, got) {
				t.Fatalf("expected: %v, got: %v", test.want, got)
			}
		})
	}
}
