package test

import (
	"github.com/golang/mock/gomock"
	"gitlab.mashplace.com/mashplace/backend/common/api/generic/query"
	extras "gitlab.mashplace.com/mashplace/backend/extras/api"
	"gitlab.mashplace.com/mashplace/backend/extras/internal/model"
	property "gitlab.mashplace.com/mashplace/backend/property/api"
)

func (s *serviceSuite) TestExtrasSearch_ok() {
	m := extras.SearchRequest{
		Params: &query.QueryParams{
			Filter: []*query.QueryParamsFilter{
				{
					Value: []string{extras.ServiceRole_LANDLORD_LISTING.String()},
				},
			},
		},
		Property: &extras.Property{
			Id:     "",
			Rental: &property.PropertyRental{},
			Conditions: &extras.Conditions{
				Price: 100,
			},
		},
	}

	s.repo.EXPECT().ServicesFilter(s.testCtx, gomock.Any()).Return([]*model.Service{
		{
			Code:               "tenant_deposit",
			PriceNeedCalculate: true,
			Type:               extras.ServiceType_DEPOSIT,
		},
	}, int64(1), nil)

	resp, err := s.srv.Search(s.testCtx, &m)

	s.Require().NoError(err)

	s.Require().NotEmpty(resp)
}
